Subject: Re: [codec] draft-spittka-payload-rtp-opus-00: a=fmtp:101 application=audio

From: Harald Alvestrand <[email-masked]>
Date: Mon, 30 Jul 2012 09:54:29 -0700

On 06/14/2012 08:07 AM, Jean-Marc Valin wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On 06/13/2012 06:52 PM, Lars Immisch wrote:
>> Well, the draft talks about "audio mode" and "voice mode" [1]. I
>> should have suggested the parameter name "mode" and not
>> "application" to stay within the draft's language.
> Actually, the audio mode/voice mode will go away in the next revision
> - -- it's just not needed considering that the sender knows better.
>
>> But how can the receiver say: "encode at high bit-rate"? I don't
>> see how that can be done.
> You can do that with the b=AS: parameter
>
Ooops...... do you mean RFC 3550 section 6.2 bandwidth, as referred to 
by RFC 4566 section 5.8?

in the case where we send multiple tracks in a session, the SDP b= 
parameter applies to the total bandwidth of the media streams covered by 
the SDP m= line or SDP session.

If there are mulitple tracks with potentially different bitrates, the 
allocation of bandwidth between the tracks has to be done by the sender.